/*******************************************************************************
 * Copyright (c) 2011, 2012 SINTEF, Martin F. Johansen.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SINTEF, Martin F. Johansen - the implementation
 *******************************************************************************/

package no.sintef.ict.splcatool.lasplt;

import java.io.File;
import java.io.IOException;

public class ConvertScript {
	public static void main(String[] args) throws IOException {
		File dir = new File("C:/Users/mjoha/myworkspace2/Papers/2012-06-11 - ICTSS 2012 - Automated CIT/Experiment 2/fullrun2");
		
		File target = new File("F:/AutomaticCIT/Eclipse/results_old");

		for(File f : dir.listFiles()){
			if(!f.getName().endsWith(".xml")) continue;
			if(f.length() == 0) continue;
			
			TestResults tr = LTSPLT.getTestResults(f.getAbsolutePath());
			String contents = new FileUtility().readFileAsString(f.getAbsolutePath());
			
			//System.out.println(f.getName());
			
			int nr = new Integer(f.getName().substring(f.getName().indexOf("product") + "product".length(), f.getName().lastIndexOf(".xml")));
			
			System.out.println("product"+nr+"-"+tr.name+"-test-result.xml");
			
			//break;
			
			new FileUtility().writeStringToFile("F:/AutomaticCIT/Eclipse/results_old/product"+nr+"-"+tr.name+"-test-result.xml", contents);
		}
	}

}
