/*******************************************************************************
 * Copyright (c) 2011, 2012 SINTEF, Martin F. Johansen.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SINTEF, Martin F. Johansen - the implementation
 *******************************************************************************/

public class CVLLASPLTInput {
	final static String wDir = "C:/Users/mjoha/Desktop/CVLLASPLT_E2/";
	final static String cvlInputModelName = wDir + "model/SafetyModule.cvl";
	final static String gdslFileName = wDir + "model/SafetyModule.cvl.m";
	final static int t = 2;
	final static String caOutputName = wDir + "model/SafetyModule.cvl.m.ca"+t+".csv";
	final static String cvlOutputFileName = wDir + "model/SafetyModule.ca"+t+".cvl";
	final static String productModelName = "model/product.uml";
	final static String wsTmp = wDir + "workspace-temp";
	final static String splCATool = wDir + "lib/SPLCATool-v0.3-SPLC2012.jar";
	final static String java32 = "\"C:/Program Files (x86)/Java/jdk1.6.0_23/bin/java\"";
	final static String eclipsec32 = wDir + "lib/eclipse32/eclipsec.exe";
	final static String cvlHeadless = wDir + "lib/eclipse-cvl-headless/plugins/org.eclipse.equinox.launcher_*.jar";
	final static String jfHeadless = wDir + "lib/eclipse-jf-headless/plugins/org.eclipse.equinox.launcher_*.jar";
	final static String atHeadless = wDir + "lib/eclipse-at-headless/plugins/org.eclipse.equinox.launcher_*.jar";
	final static String ws = wDir + "JFWS";
	final static String product = wDir + "model/product?.uml";
	final static String targetProject = "Product0";
	final static String target = ws + "/"+targetProject+"/product.uml";
	final static String testPackage = "SafetyDrive";
	//final String testSuite = testPackage + ".SafetyDriveTest"; 
	final static String testClassPath = "junit-4.10.jar;bin;no.uio.ifi.javaframetransformation_3.0.3.jar;no.uio.ifi.uml.transformation_3.0.0.jar;../JavaJars/JFDebug.jar";
	final static String startProducts = wDir + "model/startProducts.csv";

}
