/*******************************************************************************
 * Copyright (c) 2011, 2012 SINTEF, Martin F. Johansen.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SINTEF, Martin F. Johansen - the implementation
 *******************************************************************************/

package no.sintef.ict.splcatool.lasplt;

public class TestThread implements Runnable {

	private Product p;
	private Report r;

	public TestThread(Product p, Report r) {
		this.p = p;
		this.r = r;
	}

	@Override
	public void run() {
		try {
			p.prepareForTesting();
			p.runTests(r);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
